summaryrefslogtreecommitdiff
path: root/test/integration/framework
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-12-14 03:21:20 +0100
committerDavid Kalnischkies <david@kalnischkies.de>2015-12-14 03:21:20 +0100
commitdffc17ba835b6bf782fe553d338b6a921c6de7bf (patch)
treeac162b8d0b85f98d1ca0537171bc157064d4df72 /test/integration/framework
parent27e4c1664a93bdce20de62a984e51d56671690ce (diff)
non-existing directories don't need to be cleaned
Trying to clean up directories which do not exist seems rather silly if you think about it, so let apt think about it and stop it. Depends a bit on the caller if this is fixing anything for them as they might try to acquire a lock or doing other clever things as apt does. Closes: 807477
Diffstat (limited to 'test/integration/framework')
-rw-r--r--test/integration/framework5
1 files changed, 4 insertions, 1 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 2cc6be3dd..691eb793b 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -1510,7 +1510,10 @@ msgfailoutput() {
if expr match "$1" "$FILEFLAGS" >/dev/null; then
echo "#### stat(2) of file: $2 ####"
stat "$2" || true
- if test -e "$2"; then
+ if test -d "$2"; then
+ echo "#### The directory contains: $2 ####"
+ ls >&2 "$2" || true
+ elif test -e "$2"; then
echo "#### Complete file: $2 ####"
cat >&2 "$2" || true
fi